aboutsummaryrefslogtreecommitdiff
path: root/ci
diff options
context:
space:
mode:
authorMarcoFalke <*~=`'#}+{/-|&$^_@721217.xyz>2024-07-22 13:39:20 +0200
committerMarcoFalke <*~=`'#}+{/-|&$^_@721217.xyz>2024-07-22 14:01:24 +0200
commitfa8d73e86e1c11cdfe8154ab84edc1948283454b (patch)
tree4b3a7552ca2f9c54236e3a5affc7ba8573a50386 /ci
parentfa0f859885ee2c39c2d1cc704797c2461f3c473e (diff)
lint: Use consistent out-of-tree build for python and test_runner
This mirrors the build by ./ci/lint_imagefile, which is done out-of-tree in "/". Otherwise, there could be errors due to a dirty tree.
Diffstat (limited to 'ci')
-rwxr-xr-xci/lint/04_install.sh8
-rwxr-xr-xci/lint_run_all.sh3
2 files changed, 9 insertions, 2 deletions
diff --git a/ci/lint/04_install.sh b/ci/lint/04_install.sh
index f02b150c98..7a01482025 100755
--- a/ci/lint/04_install.sh
+++ b/ci/lint/04_install.sh
@@ -8,6 +8,8 @@ export LC_ALL=C
export CI_RETRY_EXE="/ci_retry --"
+pushd "/"
+
${CI_RETRY_EXE} apt-get update
# Lint dependencies:
# - automake pkg-config libtool (for lint_includes_build_config)
@@ -28,7 +30,7 @@ if [ ! -d "${PYTHON_PATH}/bin" ]; then
libbz2-dev libreadline-dev libsqlite3-dev curl llvm \
libncursesw5-dev xz-utils tk-dev libxml2-dev libxmlsec1-dev libffi-dev liblzma-dev \
clang
- env CC=clang python-build "$(cat "./.python-version")" "${PYTHON_PATH}"
+ env CC=clang python-build "$(cat "/.python-version")" "${PYTHON_PATH}"
fi
export PATH="${PYTHON_PATH}/bin:${PATH}"
command -v python3
@@ -38,7 +40,7 @@ export LINT_RUNNER_PATH="/lint_test_runner"
if [ ! -d "${LINT_RUNNER_PATH}" ]; then
${CI_RETRY_EXE} apt-get install -y cargo
(
- cd ./test/lint/test_runner || exit 1
+ cd "/test/lint/test_runner" || exit 1
cargo build
mkdir -p "${LINT_RUNNER_PATH}"
mv target/debug/test_runner "${LINT_RUNNER_PATH}"
@@ -62,3 +64,5 @@ MLC_VERSION=v0.18.0
MLC_BIN=mlc-x86_64-linux
curl -sL "https://github.com/becheran/mlc/releases/download/${MLC_VERSION}/${MLC_BIN}" -o "/usr/bin/mlc"
chmod +x /usr/bin/mlc
+
+popd || exit
diff --git a/ci/lint_run_all.sh b/ci/lint_run_all.sh
index 452be67f1b..c57261d21a 100755
--- a/ci/lint_run_all.sh
+++ b/ci/lint_run_all.sh
@@ -9,6 +9,9 @@ export LC_ALL=C.UTF-8
# Only used in .cirrus.yml. Refer to test/lint/README.md on how to run locally.
cp "./ci/retry/retry" "/ci_retry"
+cp "./.python-version" "/.python-version"
+mkdir --parents "/test/lint"
+cp --recursive "./test/lint/test_runner" "/test/lint/"
set -o errexit; source ./ci/lint/04_install.sh
set -o errexit
./ci/lint/06_script.sh